Index: /code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.cc	(revision 10916)
@@ -145,11 +145,11 @@
     void LastTeamStanding::spawnDeadPlayersIfRequested()
     {
-        for (auto & elem : this->players_)
-            if (elem.second.state_ == PlayerState::Dead)
-            {
-                bool alive = (0 < playerLives_[elem.first]&&(inGame_[elem.first]));
-                if (alive&&(elem.first->isReadyToSpawn() || this->bForceSpawn_))
-                {
-                    this->spawnPlayer(elem.first);
+        for (auto& mapEntry : this->players_)
+            if (mapEntry.second.state_ == PlayerState::Dead)
+            {
+                bool alive = (0 < playerLives_[mapEntry.first]&&(inGame_[mapEntry.first]));
+                if (alive&&(mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
+                {
+                    this->spawnPlayer(mapEntry.first);
                 }
             }
@@ -184,39 +184,39 @@
                 this->end();
             }
-            for (auto & elem : this->timeToAct_)
-            {
-                if (playerGetLives(elem.first) <= 0)//Players without lives shouldn't be affected by time.
+            for (auto& mapEntry : this->timeToAct_)
+            {
+                if (playerGetLives(mapEntry.first) <= 0)//Players without lives shouldn't be affected by time.
                     continue;
-                elem.second -= dt;//Decreases punishment time.
-                if (!inGame_[elem.first])//Manages respawn delay - player is forced to respawn after the delaytime is used up.
-                {
-                    playerDelayTime_[elem.first] -= dt;
-                    if (playerDelayTime_[elem.first] <= 0)
-                    this->inGame_[elem.first] = true;
-
-                    if (elem.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
+                mapEntry.second -= dt;//Decreases punishment time.
+                if (!inGame_[mapEntry.first])//Manages respawn delay - player is forced to respawn after the delaytime is used up.
+                {
+                    playerDelayTime_[mapEntry.first] -= dt;
+                    if (playerDelayTime_[mapEntry.first] <= 0)
+                    this->inGame_[mapEntry.first] = true;
+
+                    if (mapEntry.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                         continue;
-                    int output = 1 + (int)playerDelayTime_[elem.first];
+                    int output = 1 + (int)playerDelayTime_[mapEntry.first];
                     const std::string& message = "Respawn in " +multi_cast<std::string>(output)+ " seconds." ;//Countdown
-                    this->gtinfo_->sendFadingMessage(message,elem.first->getClientID());
-                }
-                else if (elem.second < 0.0f)
-                {
-                    elem.second = timeRemaining + 3.0f;//reset punishment-timer
-                    if (playerGetLives(elem.first) > 0)
+                    this->gtinfo_->sendFadingMessage(message,mapEntry.first->getClientID());
+                }
+                else if (mapEntry.second < 0.0f)
+                {
+                    mapEntry.second = timeRemaining + 3.0f;//reset punishment-timer
+                    if (playerGetLives(mapEntry.first) > 0)
                     {
-                        this->punishPlayer(elem.first);
-                        if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                        this->punishPlayer(mapEntry.first);
+                        if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                             return;
                         const std::string& message = ""; // resets Camper-Warning-message
-                        this->gtinfo_->sendFadingMessage(message, elem.first->getClientID());
+                        this->gtinfo_->sendFadingMessage(message, mapEntry.first->getClientID());
                     }
                 }
-                else if (elem.second < timeRemaining/5)//Warning message
-                {
-                  if (elem.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
+                else if (mapEntry.second < timeRemaining/5)//Warning message
+                {
+                  if (mapEntry.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                         continue;
                     const std::string& message = "Camper Warning! Don't forget to shoot.";
-                    this->gtinfo_->sendFadingMessage(message, elem.first->getClientID());
+                    this->gtinfo_->sendFadingMessage(message, mapEntry.first->getClientID());
                 }
             }
@@ -229,13 +229,13 @@
         int party = -1;
         //find a player who survived
-        for (auto & elem : this->playerLives_)
-        {
-          if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+        for (auto& mapEntry : this->playerLives_)
+        {
+          if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                 continue;
 
-            if (elem.second > 0)//a player that is alive
+            if (mapEntry.second > 0)//a player that is alive
             {
                 //which party has survived?
-                std::map<PlayerInfo*, int>::iterator it2 = this->teamnumbers_.find(elem.first);
+                std::map<PlayerInfo*, int>::iterator it2 = this->teamnumbers_.find(mapEntry.first);
                 if (it2 != this->teamnumbers_.end())
                 {
@@ -255,10 +255,10 @@
     {
         int min = lives;
-        for (auto & elem : this->playerLives_)
-        {
-            if (elem.second <= 0)
+        for (auto& mapEntry : this->playerLives_)
+        {
+            if (mapEntry.second <= 0)
                 continue;
-            if (elem.second < lives)
-                min = elem.second;
+            if (mapEntry.second < lives)
+                min = mapEntry.second;
         }
         return min;
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 10916)
@@ -152,11 +152,11 @@
         int amountControlled2 = 0;
 
-        for (const auto & elem : this->bases_)
-        {
-            if((elem)->getState() == BaseState::ControlTeam1)
+        for (TeamBaseMatchBase* base : this->bases_)
+        {
+            if(base->getState() == BaseState::ControlTeam1)
             {
                 amountControlled++;
             }
-            if((elem)->getState() == BaseState::ControlTeam2)
+            if(base->getState() == BaseState::ControlTeam2)
             {
                 amountControlled2++;
@@ -187,13 +187,13 @@
             }
 
-            for (auto & elem : this->teamnumbers_)
-            {
-                if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+            for (auto& mapEntry : this->teamnumbers_)
+            {
+                if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                     continue;
 
-                if (elem.second == winningteam)
-                    this->gtinfo_->sendAnnounceMessage("You have won the match!", elem.first->getClientID());
+                if (mapEntry.second == winningteam)
+                    this->gtinfo_->sendAnnounceMessage("You have won the match!", mapEntry.first->getClientID());
                 else
-                    this->gtinfo_->sendAnnounceMessage("You have lost the match!", elem.first->getClientID());
+                    this->gtinfo_->sendAnnounceMessage("You have lost the match!", mapEntry.first->getClientID());
             }
 
@@ -238,9 +238,9 @@
         int count = 0;
 
-        for (const auto & elem : this->bases_)
-        {
-            if ((elem)->getState() == BaseState::ControlTeam1 && team == 0)
+        for (TeamBaseMatchBase* base : this->bases_)
+        {
+            if (base->getState() == BaseState::ControlTeam1 && team == 0)
                 count++;
-            if ((elem)->getState() == BaseState::ControlTeam2 && team == 1)
+            if (base->getState() == BaseState::ControlTeam2 && team == 1)
                 count++;
         }
@@ -258,9 +258,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->bases_)
+        for (TeamBaseMatchBase* base : this->bases_)
         {
             i++;
             if (i > index)
-                return (elem);
+                return base;
         }
         return nullptr;
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 10916)
@@ -69,10 +69,10 @@
         int winnerTeam = 0;
         int highestScore = 0;
-        for (auto & elem : this->players_)
+        for (auto& mapEntry : this->players_)
         {
-            if ( this->getTeamScore(elem.first) > highestScore )
+            if ( this->getTeamScore(mapEntry.first) > highestScore )
             {
-                winnerTeam = this->getTeam(elem.first);
-                highestScore = this->getTeamScore(elem.first);
+                winnerTeam = this->getTeam(mapEntry.first);
+                highestScore = this->getTeamScore(mapEntry.first);
             }
         }
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc	(revision 10916)
@@ -99,7 +99,7 @@
         std::vector<unsigned int> playersperteam(this->teams_, 0);
 
-        for (auto & elem : this->teamnumbers_)
-            if (elem.second < static_cast<int>(this->teams_) && elem.second >= 0)
-                playersperteam[elem.second]++;
+        for (auto& mapEntry : this->teamnumbers_)
+            if (mapEntry.second < static_cast<int>(this->teams_) && mapEntry.second >= 0)
+                playersperteam[mapEntry.second]++;
 
         unsigned int minplayers = static_cast<unsigned int>(-1);
@@ -123,8 +123,8 @@
         if( (this->players_.size() >= maxPlayers_) && (allowedInGame_[player] == true) ) // if there's a "waiting list"
         {
-            for (auto & elem : this->allowedInGame_)
-            {
-                 if(elem.second == false) // waiting player found
-                 {elem.second = true; break;} // allow player to enter
+            for (auto& mapEntry : this->allowedInGame_)
+            {
+                 if(mapEntry.second == false) // waiting player found
+                 {mapEntry.second = true; break;} // allow player to enter
             }
         }
@@ -141,15 +141,15 @@
     void TeamGametype::spawnDeadPlayersIfRequested()
     {
-        for (auto & elem : this->players_)\
-        {
-            if(allowedInGame_[elem.first] == false)//check if dead player is allowed to enter
+        for (auto& mapEntry : this->players_)\
+        {
+            if(allowedInGame_[mapEntry.first] == false)//check if dead player is allowed to enter
             {
                 continue;
             }
-            if (elem.second.state_ == PlayerState::Dead)
-            {
-                if ((elem.first->isReadyToSpawn() || this->bForceSpawn_))
+            if (mapEntry.second.state_ == PlayerState::Dead)
+            {
+                if ((mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
                 {
-                   this->spawnPlayer(elem.first);
+                   this->spawnPlayer(mapEntry.first);
                 }
             }
@@ -178,9 +178,9 @@
         if(!player || this->getTeam(player) == -1)
             return 0;
-        for (auto & elem : this->players_)
-        {
-            if ( this->getTeam(elem.first) ==  this->getTeam(player) )
-            {
-                teamscore += elem.second.frags_;
+        for (auto& mapEntry : this->players_)
+        {
+            if ( this->getTeam(mapEntry.first) ==  this->getTeam(player) )
+            {
+                teamscore += mapEntry.second.frags_;
             }
         }
@@ -191,7 +191,7 @@
     {
         int teamSize = 0;
-        for (auto & elem : this->teamnumbers_)
-        {
-            if (elem.second == team)
+        for (auto& mapEntry : this->teamnumbers_)
+        {
+            if (mapEntry.second == team)
                 teamSize++;
         }
@@ -202,7 +202,7 @@
     {
         int teamSize = 0;
-        for (auto & elem : this->teamnumbers_)
-        {
-            if (elem.second == team  && elem.first->isHumanPlayer())
+        for (auto& mapEntry : this->teamnumbers_)
+        {
+            if (mapEntry.second == team  && mapEntry.first->isHumanPlayer())
                 teamSize++;
         }
@@ -241,9 +241,9 @@
             unsigned int index = 0;
             // Get random fallback spawnpoint in case there is no active SpawnPoint.
-            for (const auto & teamSpawnPoint : teamSpawnPoints)
+            for (SpawnPoint* teamSpawnPoint : teamSpawnPoints)
             {
                 if (index == randomspawn)
                 {
-                    fallbackSpawnPoint = (teamSpawnPoint);
+                    fallbackSpawnPoint = teamSpawnPoint;
                     break;
                 }
@@ -266,8 +266,8 @@
             randomspawn = static_cast<unsigned int>(rnd(static_cast<float>(teamSpawnPoints.size())));
             index = 0;
-            for (const auto & teamSpawnPoint : teamSpawnPoints)
+            for (SpawnPoint* teamSpawnPoint : teamSpawnPoints)
             {
                 if (index == randomspawn)
-                    return (teamSpawnPoint);
+                    return teamSpawnPoint;
 
                 ++index;
@@ -364,7 +364,7 @@
 
         std::set<WorldEntity*> pawnAttachments = pawn->getAttachedObjects();
-        for (const auto & pawnAttachment : pawnAttachments)
-        {
-            if ((pawnAttachment)->isA(Class(TeamColourable)))
+        for (WorldEntity* pawnAttachment : pawnAttachments)
+        {
+            if (pawnAttachment->isA(Class(TeamColourable)))
             {
                 TeamColourable* tc = orxonox_cast<TeamColourable*>(pawnAttachment);
@@ -376,15 +376,15 @@
     void TeamGametype::announceTeamWin(int winnerTeam)
     {
-        for (auto & elem : this->teamnumbers_)
-        {
-            if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+        for (auto& mapEntry : this->teamnumbers_)
+        {
+            if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                 continue;
-            if (elem.second == winnerTeam)
-            {
-                this->gtinfo_->sendAnnounceMessage("Your team has won the match!", elem.first->getClientID());
+            if (mapEntry.second == winnerTeam)
+            {
+                this->gtinfo_->sendAnnounceMessage("Your team has won the match!", mapEntry.first->getClientID());
             }
             else
             {
-                this->gtinfo_->sendAnnounceMessage("Your team has lost the match!", elem.first->getClientID());
+                this->gtinfo_->sendAnnounceMessage("Your team has lost the match!", mapEntry.first->getClientID());
             }
         }   
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10916)
@@ -74,13 +74,13 @@
         this->gameEnded_ = true;
 
-        for (auto & elem : this->teamnumbers_)
-        {
-            if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+        for (auto& mapEntry : this->teamnumbers_)
+        {
+            if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                 continue;
 
-            if (elem.second == attacker_)
-                this->gtinfo_->sendAnnounceMessage("You have won the match!", elem.first->getClientID());
+            if (mapEntry.second == attacker_)
+                this->gtinfo_->sendAnnounceMessage("You have won the match!", mapEntry.first->getClientID());
             else
-                this->gtinfo_->sendAnnounceMessage("You have lost the match!", elem.first->getClientID());
+                this->gtinfo_->sendAnnounceMessage("You have lost the match!", mapEntry.first->getClientID());
         }
     }
@@ -155,13 +155,13 @@
                 ChatManager::message(message);
 
-                for (auto & elem : this->teamnumbers_)
-                {
-                    if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                for (auto& mapEntry : this->teamnumbers_)
+                {
+                    if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                         continue;
 
-                    if (elem.second == 1)
-                        this->gtinfo_->sendAnnounceMessage("You have won the match!", elem.first->getClientID());
+                    if (mapEntry.second == 1)
+                        this->gtinfo_->sendAnnounceMessage("You have won the match!", mapEntry.first->getClientID());
                     else
-                        this->gtinfo_->sendAnnounceMessage("You have lost the match!", elem.first->getClientID());
+                        this->gtinfo_->sendAnnounceMessage("You have lost the match!", mapEntry.first->getClientID());
                 }
             }
Index: /code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.cc	(revision 10916)
@@ -135,9 +135,9 @@
         // Go recursively through all children to check whether they are the target.
         std::vector<PickupCarrier*>* children = this->getCarrierChildren();
-        for(auto & elem : *children)
+        for(PickupCarrier* child : *children)
         {
-            if(pickup->isTarget(elem))
+            if(pickup->isTarget(child))
             {
-                target = elem;
+                target = child;
                 break;
             }
Index: /code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.cc	(revision 10916)
@@ -160,7 +160,7 @@
     {
         // Iterate through all targets of this Pickupable.
-        for(const auto & elem : this->targets_)
+        for(Identifier* target : this->targets_)
         {
-            if(identifier->isA(elem))
+            if(identifier->isA(target))
                 return true;
         }
Index: /code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc	(revision 10916)
@@ -219,8 +219,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->effectContainers_)
+        for (EffectContainer* effectContainer : this->effectContainers_)
         {
             if (i == index)
-                return (elem);
+                return effectContainer;
             i++;
         }
Index: /code/branches/cpp11_v2/src/orxonox/items/ShipPart.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/items/ShipPart.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/items/ShipPart.cc	(revision 10916)
@@ -143,12 +143,12 @@
     @brief
         Check whether the ShipPart has a particular Entity.
-    @param engine
+    @param search
         A pointer to the Entity to be checked.
     */
-    bool ShipPart::hasEntity(StaticEntity* entity) const
-    {
-        for(auto & elem : this->entityList_)
-        {
-            if(elem == entity)
+    bool ShipPart::hasEntity(StaticEntity* search) const
+    {
+        for(StaticEntity* entity : this->entityList_)
+        {
+            if(entity == search)
                 return true;
         }
Index: /code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc	(revision 10916)
@@ -62,6 +62,6 @@
     OverlayGroup::~OverlayGroup()
     {
-        for (const auto & elem : hudElements_)
-            (elem)->destroy();
+        for (OrxonoxOverlay* hudElement : hudElements_)
+            hudElement->destroy();
         this->hudElements_.clear();
     }
@@ -86,6 +86,6 @@
     void OverlayGroup::setScale(const Vector2& scale)
     {
-        for (const auto & elem : hudElements_)
-            (elem)->scale(scale / this->scale_);
+        for (OrxonoxOverlay* hudElement : hudElements_)
+            hudElement->scale(scale / this->scale_);
         this->scale_ = scale;
     }
@@ -94,6 +94,6 @@
     void OverlayGroup::setScroll(const Vector2& scroll)
     {
-        for (const auto & elem : hudElements_)
-            (elem)->scroll(scroll - this->scroll_);
+        for (OrxonoxOverlay* hudElement : hudElements_)
+            hudElement->scroll(scroll - this->scroll_);
         this->scroll_ = scroll;
     }
@@ -147,6 +147,6 @@
         SUPER( OverlayGroup, changedVisibility );
 
-        for (const auto & elem : hudElements_)
-            (elem)->changedVisibility(); //inform all Child Overlays that our visibility has changed
+        for (OrxonoxOverlay* hudElement : hudElements_)
+            hudElement->changedVisibility(); //inform all Child Overlays that our visibility has changed
     }
 
@@ -155,6 +155,6 @@
         this->owner_ = owner;
 
-        for (const auto & elem : hudElements_)
-            (elem)->setOwner(owner);
+        for (OrxonoxOverlay* hudElement : hudElements_)
+            hudElement->setOwner(owner);
     }
 
Index: /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc	(revision 10916)
@@ -407,10 +407,10 @@
         if (ambient != nullptr)
         {
-            for (auto & elem : this->ambientSounds_)
-            {
-                if (elem.first == ambient)
+            for (std::pair<AmbientSound*, bool>& pair : this->ambientSounds_)
+            {
+                if (pair.first == ambient)
                 {
-                    elem.second = true;
-                    this->fadeOut(elem.first);
+                    pair.second = true;
+                    this->fadeOut(pair.first);
                     return;
                 }
Index: /code/branches/cpp11_v2/src/orxonox/sound/SoundStreamer.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/sound/SoundStreamer.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/sound/SoundStreamer.cc	(revision 10916)
@@ -68,5 +68,5 @@
         int current_section;
 
-        for(auto & initbuffer : initbuffers)
+        for(ALuint& initbuffer : initbuffers)
         {
             long ret = ov_read(&vf, inbuffer, sizeof(inbuffer), 0, 2, 1, &current_section);
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10916)
@@ -55,6 +55,6 @@
     Munition::~Munition()
     {
-        for (auto & elem : this->currentMagazines_)
-            delete elem.second;
+        for (auto& mapEntry : this->currentMagazines_)
+            delete mapEntry.second;
     }
 
@@ -268,6 +268,6 @@
         {
             // Return true if any of the current magazines is not full (loading counts as full although it returns 0 munition)
-            for (const auto & elem : this->currentMagazines_)
-                if (elem.second->munition_ < this->maxMunitionPerMagazine_ && elem.second->bLoaded_)
+            for (const auto& mapEntry : this->currentMagazines_)
+                if (mapEntry.second->munition_ < this->maxMunitionPerMagazine_ && mapEntry.second->bLoaded_)
                     return true;
         }
@@ -316,10 +316,10 @@
             {
                 bool change = false;
-                for (auto & elem : this->currentMagazines_)
+                for (auto& mapEntry : this->currentMagazines_)
                 {
                     // Add munition if the magazine isn't full (but only to loaded magazines)
-                    if (amount > 0 && elem.second->munition_ < this->maxMunitionPerMagazine_ && elem.second->bLoaded_)
+                    if (amount > 0 && mapEntry.second->munition_ < this->maxMunitionPerMagazine_ && mapEntry.second->bLoaded_)
                     {
-                        elem.second->munition_++;
+                        mapEntry.second->munition_++;
                         amount--;
                         change = true;
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10916)
@@ -61,6 +61,6 @@
                 this->weaponPack_->removeWeapon(this);
 
-            for (auto & elem : this->weaponmodes_)
-                elem.second->destroy();
+            for (auto& mapEntry : this->weaponmodes_)
+                mapEntry.second->destroy();
         }
     }
@@ -85,8 +85,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponmodes_)
+        for (const auto& mapEntry : this->weaponmodes_)
         {
             if (i == index)
-                return elem.second;
+                return mapEntry.second;
 
             ++i;
@@ -136,6 +136,6 @@
     void Weapon::reload()
     {
-        for (auto & elem : this->weaponmodes_)
-            elem.second->reload();
+        for (auto& mapEntry : this->weaponmodes_)
+            mapEntry.second->reload();
     }
 
@@ -148,6 +148,6 @@
     void Weapon::notifyWeaponModes()
     {
-        for (auto & elem : this->weaponmodes_)
-            elem.second->setWeapon(this);
+        for (auto& mapEntry : this->weaponmodes_)
+            mapEntry.second->setWeapon(this);
     }
 }
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10916)
@@ -76,6 +76,6 @@
     void WeaponPack::fire(unsigned int weaponmode)
     {
-        for (auto & elem : this->weapons_)
-            (elem)->fire(weaponmode);
+        for (Weapon* weapon : this->weapons_)
+            weapon->fire(weaponmode);
     }
 
@@ -86,6 +86,6 @@
     void WeaponPack::reload()
     {
-        for (auto & elem : this->weapons_)
-            (elem)->reload();
+        for (Weapon* weapon : this->weapons_)
+            weapon->reload();
     }
 
@@ -114,8 +114,8 @@
         unsigned int i = 0;
 
-        for (const auto & elem : this->weapons_)
+        for (Weapon* weapon : this->weapons_)
         {
             if (i == index)
-                return (elem);
+                return weapon;
             ++i;
         }
@@ -132,8 +132,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->links_)
+        for (DefaultWeaponmodeLink* link : this->links_)
         {
             if (i == index)
-                return (elem);
+                return link;
 
             ++i;
@@ -144,7 +144,7 @@
     unsigned int WeaponPack::getDesiredWeaponmode(unsigned int firemode) const
     {
-        for (const auto & elem : this->links_)
-            if ((elem)->getFiremode() == firemode)
-                return (elem)->getWeaponmode();
+        for (DefaultWeaponmodeLink* link : this->links_)
+            if (link->getFiremode() == firemode)
+                return link->getWeaponmode();
 
         return WeaponSystem::WEAPON_MODE_UNASSIGNED;
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10916)
@@ -63,7 +63,7 @@
     {
         // Fire all WeaponPacks with their defined weaponmode
-        for (auto & elem : this->weaponpacks_)
-            if (elem.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
-                elem.first->fire(elem.second);
+        for (auto& mapEntry : this->weaponpacks_)
+            if (mapEntry.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
+                mapEntry.first->fire(mapEntry.second);
     }
 
@@ -71,6 +71,6 @@
     {
         // Reload all WeaponPacks with their defined weaponmode
-        for (auto & elem : this->weaponpacks_)
-            elem.first->reload();
+        for (auto& mapEntry : this->weaponpacks_)
+            mapEntry.first->reload();
     }
 
